> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/set-rdmentrydocumentation.md).

# Set-RDMEntryDocumentation

Set-RDMEntryDocumentation salva le modifiche apportate a una pagina di documentazione di una voce in Remote Desktop Manager, incluso il suo stato predefinito.

### Sinossi

Salva le pagine di documentazione modificate

### Sintassi

#### \_\_AllParameterSets

```
Set-RDMEntryDocumentation [-InputObject] <PSHandbookPage[]> [-Refresh]
 [-ForcePromptAnswer <DialogResult[]>] [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Descrizione

Salva le pagine di documentazione modificate. Le pagine di documentazione devono essere recuperate da Get-RDMEntryDocumentation. La voce associata deve già esistere. Lo spazio di lavoro deve supportare la funzionalità di documentazione ed essere online. L'utente deve disporre dei diritti per modificare la documentazione.

### Esempi

#### Esempio 1

```powershell
PS C:\> $defaultPages = Get-RDMEntry -VaultMode Global | Get-RDMEntryDocumentation -Default;
    foreach ($defaultPage in $defaultPages) { $defaultPage.Default = $false }
    Set-RDMEntryDocumentation -InputObject $defaultPages
```

Rimuove lo stato predefinito della pagina di documentazione predefinita di ciascuna voce nella cassaforte di sistema.

#### Esempio 2

```powershell
PS C:\> $page = Get-RDMEntry -Name EntryA | Get-RDMEntryDocumentation -Name PageA;
    $page.Name = 'My New Default Page';
    $page.Default = $true;
    Set-RDMEntryDocumentation -InputObject $page
```

Definisce la pagina di documentazione 'PageA' come nuova pagina predefinita e la rinomina in 'My New Default Page'

### Parametri

#### -Confirm

Richiede conferma prima di eseguire il cmdlet.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Interruttore da usare con cautela. Risponderà automaticamente ai prompt che pongono domande sì/no, sì/no/annulla oppure ok/annulla. In caso di prompt multipli, è possibile passare più valori a questo parametro. Ecco i valori accettati:

* Yes: accetta il prompt. Copre i valori OK e Automatic.
* No: rifiuta il prompt sì/no/annulla. "Cancel" è l'opzione di ripiego se non è presente l'opzione "No".
* Cancel: annulla il prompt sì/no/annulla. "No" è l'opzione di ripiego se non è presente l'opzione "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Le pagine di documentazione da aggiornare

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSHandbookPage[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Refresh

Aggiorna le voci nella cassaforte. Per le modifiche in blocco, usi Update-RDMEntries dopo le modifiche anziché questo interruttore.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Mostra cosa accadrebbe se il cmdlet venisse eseguito. Il cmdlet non viene eseguito.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Input

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSHandbookPage

Pagine di documentazione da aggiornare, ottenute da Get-RDMEntryDocumentation.

### Note

Per maggiori informazioni, digiti "Get-Help Set-RDMEntryDocumentation -detailed". Per informazioni tecniche, digiti "Get-Help Set-RDMEntryDocumentation -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/set-rdmentrydocumentation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
